Skip to main content
POST
/
publisher
/
sub-publishing
/
check-conflicts
Check for territory conflicts between two publishers
curl --request POST \
  --url https://api.royalti.io/publisher/sub-publishing/check-conflicts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "originalPublisherId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "subPublisherId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "territories": [
    "<string>"
  ],
  "startDate": "2023-11-07T05:31:56Z",
  "endDate": "2023-11-07T05:31:56Z"
}
'
import requests

url = "https://api.royalti.io/publisher/sub-publishing/check-conflicts"

payload = {
"originalPublisherId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subPublisherId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"territories": ["<string>"],
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
originalPublisherId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
subPublisherId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
territories: ['<string>'],
startDate: '2023-11-07T05:31:56Z',
endDate: '2023-11-07T05:31:56Z'
})
};

fetch('https://api.royalti.io/publisher/sub-publishing/check-conflicts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "hasConflicts": true,
  "conflicts": [
    {
      "territory": "<string>",
      "original": {
        "startDate": "2023-11-07T05:31:56Z",
        "endDate": "2023-11-07T05:31:56Z"
      },
      "sub": {
        "startDate": "2023-11-07T05:31:56Z",
        "endDate": "2023-11-07T05:31:56Z"
      }
    }
  ]
}
{
"status": "error",
"message": "<string>",
"code": "<string>",
"details": {}
}
{
"status": "error",
"message": "<string>",
"code": "<string>",
"details": {}
}
This endpoint requires authentication. Include your Bearer token in the Authorization header.

Code Examples

const response = await fetch('https://api.royalti.io/publisher/sub-publishing/check-conflicts', {
  method: 'POST',
  headers: {
    'Authorization': `Bearer ${token}`,
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    "ref": "#/components/schemas/CheckConflictsRequest"
  })
});

const data = await response.json();
console.log(data);
import requests

response = requests.post(
  'https://api.royalti.io/publisher/sub-publishing/check-conflicts',
  headers={
    'Authorization': f'Bearer {token}'
  },
  json={"ref":"#/components/schemas/CheckConflictsRequest"}
)

data = response.json()
print(data)
curl -X POST https://api.royalti.io/publisher/sub-publishing/check-conflicts \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"ref":"#/components/schemas/CheckConflictsRequest"}'

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme. Format: "Bearer {token}"

Body

application/json
originalPublisherId
string<uuid>
required
subPublisherId
string<uuid>
required
territories
string[]
required
startDate
string<date-time>
required
endDate
string<date-time> | null

Response

Conflict check result.

hasConflicts
boolean
conflicts
object[]